petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetCoarsenLevel

Get's the number of coarsenings that have generated this DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMGetCoarsenLevel(DM dm,PetscInt *level)

Not Collective Many br

### Input Parameter

dm -the DM object Many br

### Output Parameter

level -number of coarsenings Many br

Many br

### See Also

DMCoarsen(), DMGetRefineLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html